aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/%HOME%/.bash_utils/file.sh
diff options
context:
space:
mode:
authorEgor Tensin <Egor.Tensin@gmail.com>2023-05-22 07:35:53 +0000
committerEgor Tensin <Egor.Tensin@gmail.com>2023-05-22 07:35:55 +0000
commit01707c746f1b0ade415d033fdef679c227e01b7a (patch)
tree18652cf41968a43a4e66e8165f960cd171f7706a /%HOME%/.bash_utils/file.sh
parent.profile: add the normal sed to PATH on macOS (diff)
downloadlinux-home-01707c746f1b0ade415d033fdef679c227e01b7a.tar.gz
linux-home-01707c746f1b0ade415d033fdef679c227e01b7a.zip
ignore unsupported inherit_errexit
I have a really ancient machine with an even more ancient version of bash that doesn't support inherit_errexit. Ignore for now, put it back later.
Diffstat (limited to '')
-rw-r--r--%HOME%/.bash_utils/file.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/%HOME%/.bash_utils/file.sh b/%HOME%/.bash_utils/file.sh
index 351b962..c434fdb 100644
--- a/%HOME%/.bash_utils/file.sh
+++ b/%HOME%/.bash_utils/file.sh
@@ -7,7 +7,7 @@
swap_files() (
set -o errexit -o nounset -o pipefail
- shopt -s inherit_errexit
+ shopt -s inherit_errexit 2> /dev/null || true
if [ "$#" -ne 2 ]; then
echo "usage: ${FUNCNAME[0]} PATH1 PATH2" >&2
@@ -40,7 +40,7 @@ swap_files() (
pastebin() (
set -o errexit -o nounset -o pipefail
- shopt -s inherit_errexit
+ shopt -s inherit_errexit 2> /dev/null || true
if [ "$#" -ne 1 ]; then
echo "usage: ${FUNCNAME[0]} PATH" >&2